SDL_BlitSurfaceScaled(3)

NAME
SDL_BlitSurfaceScaled - Perform a scaled blit to a destination surface, which may be of a different format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_BlitSurfaceScaled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect, SDL_ScaleMode scaleMode);

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from.

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied, or NULL to copy the entire surface.

dst the SDL_Surface
     structure that is the blit target.

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface, or NULL to fill the entire destination surface.

scaleMode
    the SDL_ScaleMode
     to be used.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
The same destination surface should not be used from two threads at once. It is safe to use the same source surface from multiple threads.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BlitSurface(3)